## ros-melodic-husky-bringup 0.4.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(husky_bringup)

find_package(catkin REQUIRED COMPONENTS roslaunch)

catkin_package()

roslaunch_add_file_check(launch)

install(PROGRAMS scripts/install scripts/calibrate_compass scripts/compute_calibration
   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(DIRECTORY launch udev config
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-melodic-husky-bringup (0.4.5-1stretch) stretch; urgency=high

  * Fix a bug where the UM7 and UM6 launch files don't work when installed to /etc/ros/*/ros.d; they fail to find the mag config files.
  * Contributors: Chris Iverach-Brereton

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 01 Oct 2020 04:00:00 -0000

ros-melodic-husky-bringup (0.4.4-1stretch) stretch; urgency=high

  * Set default for optenv HUSKY_MAG_CONFIG
  * Removed env-hooks
  * Removed Paul Bovbel as maintainer.
  * Add support for some environment variables to override realsense defaults
  * Sort the dependencies alphabetically
  * Finish adding the simulated realsense to the topbar, add support for the physical realsense. Tidy up some parameters that were copied in last night but not yet configured.
  * Mark the Kinect for Xbox 360 as deprecated, start adding support for the Intel Realsense D400 series as a replacement
  * Contributors: Chris I-B, Dave Niewinski, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 13 Aug 2020 04:00:00 -0000

ros-melodic-husky-bringup (0.4.3-1stretch) stretch; urgency=high

  * Add the other product ID for the PS4 controller to the udev rule
  * Update the udev rules to map the controllers to appropriate symlinks instead of relying on device enumeration to save us
  * Contributors: Chris I-B

 -- Paul Bovbel <paul@bovbel.com>  Mon, 20 Apr 2020 04:00:00 -0000

ros-melodic-husky-bringup (0.4.2-1stretch) stretch; urgency=high

  * [husky_bringup] Installed udev rule for Logitech controller.
  * Contributors: Tony Baltovski

 -- Paul Bovbel <paul@bovbel.com>  Wed, 11 Dec 2019 05:00:00 -0000

ros-melodic-husky-bringup (0.4.1-1stretch) stretch; urgency=high

  * [husky_bringup] Enabled using MagnenticField message for UM6 and UM7 since imu_filter_madgwick now uses it by default.
  * Added Udev rule for Logitech joy. (#116 <https://github.com/husky/husky/issues/116>)
  * Contributors: Tony Baltovski

 -- Paul Bovbel <paul@bovbel.com>  Mon, 30 Sep 2019 04:00:00 -0000

ros-melodic-husky-bringup (0.4.0-1stretch) stretch; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Thu, 01 Aug 2019 04:00:00 -0000

ros-melodic-husky-bringup (0.3.4-1stretch) stretch; urgency=high

  * Properly support GX5.
  * Contributors: Dave Niewinski

 -- Paul Bovbel <paul@bovbel.com>  Thu, 01 Aug 2019 04:00:00 -0000

ros-melodic-husky-bringup (0.3.3-1stretch) stretch; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Thu, 18 Apr 2019 04:00:00 -0000

ros-melodic-husky-bringup (0.3.2-1stretch) stretch; urgency=high

  * [husky_bringup] Disabled the use of magnetic field msgs in imu_filter_madgwick.
  * Contributors: Tony Baltovski

 -- Paul Bovbel <paul@bovbel.com>  Mon, 25 Mar 2019 04:00:00 -0000

ros-melodic-husky-bringup (0.3.1-1stretch) stretch; urgency=high

  * Renamed udev so it is installed
  * Contributors: Dave Niewinski, Tony Baltovski

 -- Paul Bovbel <paul@bovbel.com>  Thu, 02 Aug 2018 04:00:00 -0000

ros-melodic-husky-bringup (0.3.0-1stretch) stretch; urgency=high

  * Remove defunct email address
  * Re-added microstrain_3dmgx2_imu as run  dependency.
  * Re-added imu_transformer and um7 as run dependencies.
  * Updated maintainers.
  * Changed the name of robot_upstart job to ros.
  * Added the UM6 as a run dep.
  * Purge more UR; Implement urdf_extras
  * Move packages into monorepo for kinetic; strip out ur packages
  * Contributors: Paul Bovbel, Tony Baltovski

 -- Paul Bovbel <paul@bovbel.com>  Wed, 11 Apr 2018 04:00:00 -0000

ros-melodic-husky-bringup (0.2.6-1stretch) stretch; urgency=high

  * Adding support for the UM7 IMU.
  * Added new ur_modern_driver
  * Added param for laser frame_id.
  * Contributors: TheDash, Tony Baltovski

 -- Paul Bovbel <paul@bovbel.com>  Mon, 03 Oct 2016 04:00:00 -0000

ros-melodic-husky-bringup (0.2.5-1stretch) stretch; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Thu, 31 Dec 2015 05:00:00 -0000

ros-melodic-husky-bringup (0.2.4-1stretch) stretch; urgency=high

  * Fix laser path
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Wed, 08 Jul 2015 04:00:00 -0000

ros-melodic-husky-bringup (0.2.3-1stretch) stretch; urgency=high

  * Integrate husky_customization workflow
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Wed, 08 Apr 2015 04:00:00 -0000

ros-melodic-husky-bringup (0.2.2-1stretch) stretch; urgency=high

  * Fix package urls
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Mon, 23 Mar 2015 04:00:00 -0000

ros-melodic-husky-bringup (0.2.1-1stretch) stretch; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Mon, 23 Mar 2015 04:00:00 -0000

ros-melodic-husky-bringup (0.2.0-1stretch) stretch; urgency=high

  * Add UR5 bringup
  * Contributors: Paul Bovbel, Devon Ash

 -- Paul Bovbel <paul@bovbel.com>  Mon, 23 Mar 2015 04:00:00 -0000

ros-melodic-husky-bringup (0.1.2-1stretch) stretch; urgency=high

  * Namespace fixes
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Thu, 12 Feb 2015 05:00:00 -0000

ros-melodic-husky-bringup (0.1.1-1stretch) stretch; urgency=high

  * Update website and authors
  * Add transform to transfer IMU data to base_link frame
  * Make ROBOT_NETWORK optional
  * Switch to robot_upstart python API
  * Switch to debhelper install method for udeb rules
  * Switch to env-hook for file storage
  * Switch to new calibration method for um6; switch to imu_filter_magwick
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Fri, 30 Jan 2015 05:00:00 -0000

ros-melodic-husky-bringup (0.1.0-1stretch) stretch; urgency=high

  * Port to robot_localization, gyro only pending um6 fixes
  * changed the launch file to match parameter namespace changes in the imu_compass node
  * ported kingfisher compass calibration to husky
  * Added Microstrain device condition - Looks for an attached Microstrain device and installs the necessary launch files from the microstrain_config directory.
  * Update sick.launch - Fixed binary name


=== debian/control ===
Source: ros-melodic-husky-bringup
Section: misc
Priority: optional
Maintainer: Tony Baltovski <tbaltovski@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-roslaunch
Homepage: http://ros.org/wiki/husky_bringup
Standards-Version: 3.9.2

Package: ros-melodic-husky-bringup
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-scipy, ros-melodic-husky-base, ros-melodic-husky-control, ros-melodic-husky-description, ros-melodic-imu-filter-madgwick, ros-melodic-imu-transformer, ros-melodic-lms1xx, ros-melodic-microstrain-3dmgx2-imu, ros-melodic-microstrain-mips, ros-melodic-nmea-comms, ros-melodic-nmea-navsat-driver, ros-melodic-realsense2-camera, ros-melodic-robot-localization, ros-melodic-robot-upstart, ros-melodic-tf, ros-melodic-tf2-ros, ros-melodic-um6, ros-melodic-um7
Description: Clearpath Husky installation and integration package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-husky-bringup//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-husky-bringup 0.4.13

=== debian/changelog ===
ros-melodic-husky-bringup (0.4.13-1bionic) bionic; urgency=high

  * Add HUSKY_REALSENSE_TOPIC envar for choosing prefix namespace for all realsense topics
  * Update realsense launch file based on changes from realsense2_camera
  * Contributors: Joey Yang

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 25 Nov 2022 05:00:00 -0000

ros-melodic-husky-bringup (0.4.12-1bionic) bionic; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 17 Jan 2022 05:00:00 -0000

ros-melodic-husky-bringup (0.4.11-1bionic) bionic; urgency=high

  * Added Hokuyo UST10.
  * Fix the compute_calibration script so it uses the correct name for the magnetic field attribute. Fixes https://github.com/husky/husky/issues/182
  * Contributors: Chris Iverach-Brereton, Luis Camero

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 14 Jan 2022 05:00:00 -0000

ros-melodic-husky-bringup (0.4.10-1bionic) bionic; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Sun, 18 Jul 2021 04:00:00 -0000

ros-melodic-husky-bringup (0.4.9-1bionic) bionic; urgency=high

  * Fix the name of teh VLP16 launch file that gets included
  * Contributors: Chris Iverach-Brereton

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 15 Jul 2021 04:00:00 -0000

ros-melodic-husky-bringup (0.4.8-1bionic) bionic; urgency=high

  * Add a missing colon to the install script
  * Contributors: Chris Iverach-Brereton

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 01 Apr 2021 04:00:00 -0000

ros-melodic-husky-bringup (0.4.7-1bionic) bionic; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 16 Mar 2021 04:00:00 -0000

ros-melodic-husky-bringup (0.4.6-1bionic) bionic; urgency=high

  * Add VLP16, secondary LMS1xx support (#164 <https://github.com/husky/husky/issues/164>)
    * Minimal refactor to add VLP16 + secondary LMS1xx support. Update defaults for the laser_enabled and realsense_enabled args to refer to the underlying envars to improve consistency when launching simulations. Modify the sensor bar to allow it to be positioned in the center by default, but with configurable xyz and rpy offsets
    * Add the new run dependencies
    * Remove the prefix's trailing underscore in the vlp16 mount to make it consistent. Fix an inconsistent envar for the sensor arch, add an arg to explicitly enable it, to stay internally consistent with the rest of Husky.
    * Fix the envars; its just HUSKY_LMS1XX, not HUSKY_LASER_LMS1XX
    * Revert to enabling the main laser by default in the simulations, add the velodyne_gazebo_plugins dependency
  * Remove the udev rules for the PS4 and Logitech controllers; those rules are provided either by the Clearpath ISO or by ds4drv as appropriate
  * Contributors: Chris I-B, Chris Iverach-Brereton

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 09 Mar 2021 05:00:00 -0000

ros-melodic-husky-bringup (0.4.5-1bionic) bionic; urgency=high

  * Fix a bug where the UM7 and UM6 launch files don't work when installed to /etc/ros/*/ros.d; they fail to find the mag config files.
  * Contributors: Chris Iverach-Brereton

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 01 Oct 2020 04:00:00 -0000

ros-melodic-husky-bringup (0.4.4-1bionic) bionic; urgency=high

  * Set default for optenv HUSKY_MAG_CONFIG
  * Removed env-hooks
  * Removed Paul Bovbel as maintainer.
  * Add support for some environment variables to override realsense defaults
  * Sort the dependencies alphabetically
  * Finish adding the simulated realsense to the topbar, add support for the physical realsense. Tidy up some parameters that were copied in last night but not yet configured.
  * Mark the Kinect for Xbox 360 as deprecated, start adding support for the Intel Realsense D400 series as a replacement
  * Contributors: Chris I-B, Dave Niewinski, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 13 Aug 2020 04:00:00 -0000

ros-melodic-husky-bringup (0.4.3-1bionic) bionic; urgency=high

  * Add the other product ID for the PS4 controller to the udev rule
  * Update the udev rules to map the controllers to appropriate symlinks instead of relying on device enumeration to save us
  * Contributors: Chris I-B

 -- Paul Bovbel <paul@bovbel.com>  Mon, 20 Apr 2020 04:00:00 -0000

ros-melodic-husky-bringup (0.4.2-1bionic) bionic; urgency=high

  * [husky_bringup] Installed udev rule for Logitech controller.
  * Contributors: Tony Baltovski

 -- Paul Bovbel <paul@bovbel.com>  Wed, 11 Dec 2019 05:00:00 -0000

ros-melodic-husky-bringup (0.4.1-1bionic) bionic; urgency=high

  * [husky_bringup] Enabled using MagnenticField message for UM6 and UM7 since imu_filter_madgwick now uses it by default.
  * Added Udev rule for Logitech joy. (#116 <https://github.com/husky/husky/issues/116>)
  * Contributors: Tony Baltovski

 -- Paul Bovbel <paul@bovbel.com>  Mon, 30 Sep 2019 04:00:00 -0000

ros-melodic-husky-bringup (0.4.0-1bionic) bionic; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Thu, 01 Aug 2019 04:00:00 -0000

ros-melodic-husky-bringup (0.3.4-1bionic) bionic; urgency=high

  * Properly support GX5.
  * Contributors: Dave Niewinski

 -- Paul Bovbel <paul@bovbel.com>  Thu, 01 Aug 2019 04:00:00 -0000

ros-melodic-husky-bringup (0.3.3-1bionic) bionic; urgency=high



 -- Paul Bovbel <paul@bovbel.com>  Thu, 18 Apr 2019 04:00:00 -0000

ros-melodic-husky-bringup (0.3.2-1bionic) bionic; urgency=high

  * [husky_bringup] Disabled the use of magnetic field msgs in imu_filter_madgwick.
  * Contributors: Tony Baltovski

 -- Paul Bovbel <paul@bovbel.com>  Mon, 25 Mar 2019 04:00:00 -0000

ros-melodic-husky-bringup (0.3.1-1bionic) bionic; urgency=high

  * Renamed udev so it is installed
  * Contributors: Dave Niewinski, Tony Baltovski

 -- Paul Bovbel <paul@bovbel.com>  Thu, 02 Aug 2018 04:00:00 -0000

ros-melodic-husky-bringup (0.3.0-1bionic) bionic; urgency=high

  * Remove defunct email address


=== debian/control ===
Source: ros-melodic-husky-bringup
Section: misc
Priority: optional
Maintainer: Tony Baltovski <tbaltovski@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-roslaunch
Homepage: http://ros.org/wiki/husky_bringup
Standards-Version: 3.9.2

Package: ros-melodic-husky-bringup
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-scipy, ros-melodic-husky-base, ros-melodic-husky-control, ros-melodic-husky-description, ros-melodic-imu-filter-madgwick, ros-melodic-imu-transformer, ros-melodic-lms1xx, ros-melodic-microstrain-3dmgx2-imu, ros-melodic-microstrain-mips, ros-melodic-nmea-comms, ros-melodic-nmea-navsat-driver, ros-melodic-realsense2-camera, ros-melodic-robot-localization, ros-melodic-robot-upstart, ros-melodic-tf, ros-melodic-tf2-ros, ros-melodic-um6, ros-melodic-um7, ros-melodic-urg-node, ros-melodic-velodyne-pointcloud
Description: Clearpath Husky installation and integration package

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
